Bug 1150676 - X-Gene SATA controller can not be used with DVD drive [NEEDINFO]
Summary: X-Gene SATA controller can not be used with DVD drive
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-08 16:01 UTC by Marcin Juszkiewicz
Modified: 2015-11-23 17:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 17:19:47 UTC
jforbes: needinfo?


Attachments (Terms of Use)

Description Marcin Juszkiewicz 2014-10-08 16:01:47 UTC
Description of problem:

I wanted to install Fedora from DVD. Connected DVD drive into X-Gene SATA controller and got kernel error messages:

[    0.793732] ata1: SATA link down (SStatus 0 SControl 4300)
[    0.793754] ata2: SATA link down (SStatus 0 SControl 4300)
[    0.853726] ata3: SATA link up 6.0 Gbps (SStatus 133 SControl 4300)
[    0.853745] ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 4300)
[    0.854806] ata4.00: ATAPI: ATAPI   iHAS122   E, 2L02, max UDMA/100
[    0.854891] ata3.00: ATA-8: ST500DM002-1BD142, KC45, max UDMA/133
[    0.854894] ata3.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 0/32)
[    0.855619] ata4.00: configured for UDMA/100
[    0.856338] ata3.00: configured for UDMA/133
[    0.856571] scsi 2:0:0:0: Direct-Access     ATA      ST500DM002-1BD14 KC45 PQ: 0 ANSI: 5
[    0.856913] sd 2:0:0:0: [sda] 976773168 512-byte logical blocks: (500 GB/465 GiB)
[    0.856918] sd 2:0:0:0: [sda] 4096-byte physical blocks
[    0.856928] sd 2:0:0:0: Attached scsi generic sg0 type 0
[    0.857020] sd 2:0:0:0: [sda] Write Protect is off
[    0.857025] sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    0.857065] sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    0.907662]  sda: sda1 sda2 sda3
[    0.908283] sd 2:0:0:0: [sda] Attached SCSI disk
[   21.983737] ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[   21.990754] scsi 3:0:0:0: CDB: 
[   21.990757] Inquiry: 12 00 00 00 24 00
[   21.990769] ata4.00: cmd a0/00:00:00:24:00/00:00:00:00:00/a0 tag 1 pio 36 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
[   22.005140] ata4.00: status: { DRDY }
[   22.008787] ata4: hard resetting link
[   22.353726] ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 4300)
[   22.355580] ata4.00: configured for UDMA/100
[   22.356317] ata4: EH complete
[   22.464440] scsi 3:0:0:0: CD-ROM            ATAPI    iHAS122   E      2L02 PQ: 0 ANSI: 5
[   22.476570] sr 3:0:0:0: [sr0] scsi3-mmc drive: 125x/125x writer dvd-ram cd/rw xa/form2 cdda tray
[   22.476576] cdrom: Uniform CD-ROM driver Revision: 3.20
[   22.476816] sr 3:0:0:0: Attached scsi CD-ROM sr0
[   22.476980] sr 3:0:0:0: Attached scsi generic sg1 type 5
[   22.843776] ata4.00: exception Emask 0x12 SAct 0x0 SErr 0x200400 action 0x6 frozen
[   22.851313] ata4.00: irq_stat 0x08000002, interface fatal error
[   22.857227] ata4: SError: { Proto BadCRC }
[   22.861366] sr 3:0:0:0: CDB: 
[   22.861370] Xpwrite, Read disk info: 51 00 00 00 00 00 00 00 02 00
[   22.861386] ata4.00: cmd a0/00:00:00:02:00/00:00:00:00:00/a0 tag 16 pio 16388 in
         res 50/00:03:00:08:00/00:00:00:00:00/a0 Emask 0x12 (ATA bus error)
[   22.876729] ata4.00: status: { DRDY }
[   22.880382] ata4: hard resetting link
[   23.223735] ata4: SATA link up 1.5 Gbps (SStatus 113 SControl 4300)
[   23.225607] ata4.00: configured for UDMA/100
[   23.226111] ata4: EH complete

Version-Release number of selected component (if applicable):

3.17-rc7

How reproducible:

always

Steps to Reproduce:
1. connect DVD drive to X-Gene SATA
2. boot
3.

Actual results:

see above

Expected results:

This is what I got when same DVD drive got connected to SIL3132 SATA controller (in Mustang PCI Express slot):

[  624.963349] ata6: SATA link up 1.5 Gbps (SStatus 113 SControl 0)
[  624.966758] ata6.00: ATAPI: ATAPI   iHAS122   E, 2L02, max UDMA/100
[  624.967658] ata6.00: configured for UDMA/100
[  624.968088] ata6: EH complete
[  624.968803] scsi 5:0:0:0: CD-ROM            ATAPI    iHAS122   E      2L02 PQ: 0 ANSI: 5
[  624.978582] sr 5:0:0:0: [sr1] scsi3-mmc drive: 47x/125x writer dvd-ram cd/rw xa/form2 cdda tray
[  624.979461] sr 5:0:0:0: Attached scsi CD-ROM sr1
[  624.979912] sr 5:0:0:0: Attached scsi generic sg2 type 5
[  629.143687] ata4: hard resetting link
[  629.493728] ata4: SATA link down (SStatus 0 SControl 310)
[  629.493741] ata4.00: disabled
[  629.493787] ata4: EH complete
[  629.493802] ata4.00: detaching (SCSI 3:0:0:0)
[  656.810376] UDF-fs: INFO Mounting volume 'SUPER_SPARKS_STUDENT_1', timestamp 2013/09/11 16:46 (1000)
[  656.812009] SELinux: initialized (dev sr1, type udf), uses genfs_contexts

Additional info:

Comment 1 Jaroslav Reznik 2015-03-03 16:21:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Justin M. Forbes 2015-10-20 19:34:03 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 3 Fedora Kernel Team 2015-11-23 17:19:47 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.